HMWKGraphInternal Namespace Reference

Internal: the structures of a HMWKGraph. More...

## Classes

struct | Frame
| Internal: the frame header of a HMWKGraph. More...
struct | BasicGraph
| Internal: the geometrical graph of a HMWKGraph. More...
struct | FootnoteFrame
| Internal: the footnote of a HMWKGraph. More...
struct | Group
| Internal: the group of a HMWKGraph. More...
struct | PictureFrame
| Internal: the picture of a HMWKGraph. More...
struct | TableCell
| a table cell in a table in HMWKGraph More...
struct | Table
| Internal: the table of a HMWKGraph. More...
struct | TextBox
| Internal: the textbox of a HMWKGraph. More...
struct | Picture
| Internal: the picture of a HMWKGraph. More...
struct | State
| Internal: the state of a HMWKGraph. More...
class | SubDocument
| Internal: the subdocument of a HMWKGraph. More...

## Functions

std::ostream & | operator<< (std::ostream &o, Frame const &grph)
std::ostream & | operator<< (std::ostream &o, TableCell const &cell)

## Detailed Description

Internal: the structures of a HMWKGraph.

## Function Documentation

std::ostream& HMWKGraphInternal::operator<< | ( | std::ostream & | o,
|  | Frame const & | grph
| ) |  |

std::ostream& HMWKGraphInternal::operator<< | ( | std::ostream & | o,
|  | TableCell const & | cell
| ) |  |